Skip to content

Case Types

This object allows you to create custom case types. You then can create case instances from a case type. Peach has a predefined collection of special case types, such as bankruptcy, identityTheft, and more. You can use any of the special types as your base case type. To customize your case type you can:

  • Add additional custom fields
  • Add and remove automatic Do Not Interact Types
  • Add custom name
  • Add custom description

If you don't want to use any of the special predefined case types, then use generic as your base type.

Get case types

Request

Security
oauth2(Required scopes: case.type:list) or bearerAuth or apiKeyHeader
Query
loanTypeIdArray of strings

Use this to limit results to a specific lender product.

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

smartReviewsEnableboolean

Filter for case types that have enabled smart review tasks.

GET
/case-types
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/case-types?loanTypeId=string&limit=25&startingAfter=string&endingBefore=string&smartReviewsEnable=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(caseType)
Response
{ "count": 0, "status": 0, "data": [ {} ] }